function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_hall"
end

function p.__main()
    set_default_block("r_hall")
    
    std.create_half_tube(3, "y_pos", "e")
    std.create_center(5,"e")
    
    local msg_str = "^xff00ffAt some point you might want to "
        .. "create your own package from scratch^!. "
        .. "One way to do this is copy the package "
        .. "\"^x00ff00blank^!\" and add to it. "
        .. "The blank package is valid, but essentially "
        .. "as small as possible.\n\n"
        .. "There are also other packages, "
        .. "like blank_blocks, blank_gravity, "
        .. "and blank_ladders which introduce features "
        .. "one at a time but are also very small. "
        .. "These packages can be found on the game's website.\n\n"
        .. "^xff0000Note: the blank package depends on "
        .. "the \"base\" package, which is necessary.^! "
        .. "It is necessary because later versions "
        .. "of the game could introduce more base content."
    add_bent_s(7,7,8,"bent_base_txt",msg_str)

    msg_str = "In addition to being able to put packages in the\n\n"
        .. "^x00ff00Data/Packages/^!\n\ndirectory, you can also put them in the\n\n"
        .. "^xff00ffInput/Packages^!\n\ndirectory. This is a little more complex, "
        .. "so you should consult the game's website. The basic idea is that "
        .. "if a package in the Input/Packages directory has "
        .. "the same name X as one in the Input/Packages directory, "
        .. "the Input one will be applied after the Data one whenever the "
        .. "player loads a game for the X package. "
    add_bent_s(7,7,6,"bent_base_txt",msg_str)
end
